/* 
 * array.h -- header file for array.c
 *
 * Copyright 1993 Aaron Gifford
 * Copyright 1995 EPIC Software Labs
 * See the COPYRIGHT file for copyright information
 *
 */

#ifndef ARRAY_H
#define ARRAY_H

#include "irc_std.h"

extern char *function_indextoitem 	(char *);
extern char *function_itemtoindex 	(char *);
extern char *function_igetitem 		(char *);
extern char *function_getitem 		(char *);
extern char *function_setitem 		(char *);
extern char *function_finditem 		(char *);
extern char *function_matchitem 	(char *);
extern char *function_rmatchitem 	(char *);
extern char *function_getmatches 	(char *);
extern char *function_getrmatches 	(char *);
extern char *function_delitem 		(char *);
extern char *function_numitems 		(char *);
extern char *function_getarrays 	(char *);
extern char *function_numarrays 	(char *);
extern char *function_delarray 		(char *);
extern char *function_ifinditem 	(char *);
extern char *function_ifindfirst 	(char *);

#endif
