/*
 * history.h: header for history.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: history.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _HISTORY_H_
#define _HISTORY_H_

#include "irc_std.h"

extern	void	set_history_size 	(int);
extern	void	add_to_history 		(char *);
extern	char	*get_from_history 	(int);
extern	void	get_history 		(int);
extern	char	*do_history 		(char *, char *);
extern	void	shove_to_history 	(char, char *);
extern	void	history 		(char *, char *, char *);

/* used by get_from_history */
#define NEXT 0
#define PREV 1

#endif /* _HISTORY_H_ */
