/*
 * newio.h -- header file for newio.c
 * ircII (C) 1990, 1995 Michael Sandroff, Matthew Green
 */

#ifndef __NEWIO_H
#define __NEWIO_H

#include "irc.h"

extern int dgets_errno;

extern void mark_socket 	(int);
extern void unmark_socket 	(int);
extern time_t dgets_timeout 	(int);
extern int dgets 		(char *, int, int, char *);
extern int new_select 		(fd_set *, fd_set *, struct timeval *);
extern void new_close 		(int);
extern void set_socket_options 	(int);

#endif
