/*
 * notify.h: header for notify.c
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: notify.h,v 1.6 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _NOTIFY_H_
#define _NOTIFY_H_

#include "irc_std.h"

extern	void	notify 			(char *, char *, char *);
extern	void	do_notify 		(void);
extern	void	notify_mark 		(char *, int, int);
extern	void	save_notify 		(FILE *);
extern	void	set_notify_handler 	(char *);
extern	void	make_notify_list 	(int);
extern  char *	get_notify_nicks 	(int, int);

#endif /* _NOTIFY_H_ */
