/*
 * output.h: header for output.c 
 *
 * Written By Michael Sandrof
 *
 * Copyright(c) 1990 
 *
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 *
 * @(#)$Id: output.h,v 1.5 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _OUTPUT_H_
#define _OUTPUT_H_

#include "irc_std.h"
#include "irc.h"

extern	FILE	*irclog_fp;

extern	void	put_it 			(const char *, ...) __A(1);
extern	void	say 			(const char *, ...) __A(1);
extern	void	help_put_it 		(const char *, const char *,...) __A(2);
extern	void	yell 			(const char *, ...) __A(1);
extern	void	sig_refresh_screen 	(int);
extern	void	refresh_screen 		(char, char *);
extern	void	init_screen 		(void);
extern	void	set_continued_line 	(char *);
extern	void	put_file 		(const char *);
extern	void	extern_write 		(char *, char *, char *);

#endif /* _OUTPUT_H_ */
